Bug 92029 - redht-config-network fails to properly change profiles
redht-config-network fails to properly change profiles
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-31 18:24 EDT by David Kaplan
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 05:56:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kaplan 2003-05-31 18:24:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Profiles fail miserably on my machine.  I had them working quite nicely on
redhat 8.0, but now that I am using 9, they complain that they can't find
devices after I switch profiles. 

My setup is basically an ethernet card that has office, dhcp and home settings
(eth0, eth0:1, eth0:2) that are each in separate profiles of the same name. 
Every time I switch profiles and try to start a device, it says to me that it
can't find device eth0:1.  In order to get it working, I have to edit the
device, save all and then start the device.  Once this is done, switching back
to the old profile results in a similar failure.

I also tried to switch profiles from redhat-control-network as a normal user and
got the following error dump:

Component: redhat-config-network
Version: 1.2.0
Summary: TB /usr/lib/python2.2/site-packages/rhpl/Conf.py:278:write:IOError:
[Errno 13] Permission denied: '/etc/sysconfig/network'
Traceback (most recent call last):
  File "/usr/bin/neat-control", line 256, in on_profileActivateButton_clicked
    status=self.activate_new_profile(profile)
  File "/usr/bin/neat-control", line 220, in activate_new_profile
    profilelist.save()
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCProfileList.py",
line 255, in save
    nwconf.write()
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 278, in write
    self.file = open(self.filename, 'w', -1)
IOError: [Errno 13] Permission denied: '/etc/sysconfig/network'
                                                                              
Local variables in innermost frame:
self: <rhpl.Conf.ConfShellVar instance at 0x8674434>


By the way, is there any prospect of having a cancel option added to the window
that appears when one tries to start a device, particularly ppp devices?


Version-Release number of selected component (if applicable):
redhat-config-network-1.2.0-2

How reproducible:
Always

Steps to Reproduce:
1.add a profile and another eth0 device.
2.save and switch back to the old profile.  Try to start the ethernet device in
old profile.
3. should fail saying it can't find device.
    

Actual Results:  says it can't find device.

Expected Results:  should start device

Additional info:
Comment 1 Harald Hoyer 2003-06-10 11:18:28 EDT
Please try:
ftp://people.redhat.com/harald/redhat-config-network/1.2.9-RH9/
Comment 2 Harald Hoyer 2004-06-04 05:56:13 EDT
Closing due to inactivity. Reopen, if the problem is still existing.

Note You need to log in before you can comment on or make changes to this bug.